指定文本相对于尺寸线的垂直位置。 支持的平台:仅窗口 属性值只读:不 类型:枚举acDimVerticalJustification
言论此属性的初始值为。acVertCentered 注意:此属性将覆盖给定尺寸、引线或公差对象的 DIMTAD 系统变量的值。
例子工 务 局: Sub Example_VerticalTextPosition() ' This example creates an aligned dimension in model space ' and cycles the dimension text through a couple of different ' vertical alignments Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentValue As String ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 9: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current text position Select Case dimObj.VerticalTextPosition Case acVertCentered: CurrentValue = "centered" Case acAbove: CurrentValue = "above" Case acOutside: CurrentValue = "outside" Case acJIS: CurrentValue = "to Japanesee industrial standards" End Select MsgBox "The vertical position of the dimension is: " & CurrentValue ' Change the position of the dimension text to be above the extesnion lines dimObj.VerticalTextPosition = acAbove ThisDrawing.Regen acAllViewports MsgBox "Dimension text is now aligned above extension lines" ' Change the position of the dimension text to be centered with the extension lines dimObj.VerticalTextPosition = acVertCentered ThisDrawing.Regen acAllViewports MsgBox "Dimension text is now centered with the extension lines" End Sub Visual LISP: (vl-load-com) (defun c:Example_VerticalTextPosition() ;; This example creates an aligned dimension in model space ;; and cycles the dimension text through a couple of different ;; vertical alignments (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 9 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Read and display current text position (setq CurrentValue (cond ((= (vla-get-VerticalTextPosition dimObj) acVertCentered) "centered") ((= (vla-get-VerticalTextPosition dimObj) acAbove) "above") ((= (vla-get-VerticalTextPosition dimObj) acOutside) "outside") ((= (vla-get-VerticalTextPosition dimObj) acJIS) "to Japanesee industrial standards") )) (alert (strcat "The vertical position of the dimension is: " CurrentValue)) ;; Change the position of the dimension text to be above the extesnion lines (vla-put-VerticalTextPosition dimObj acAbove) (vla-Regen doc acAllViewports) (alert "Dimension text is now aligned above extension lines") ;; Change the position of the dimension text to be centered with the extension lines (vla-put-VerticalTextPosition dimObj acVertCentered) (vla-Regen doc acAllViewports) (alert "Dimension text is now centered with the extension lines") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:35
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.